Missing MySQL extension (WordPress)

A rare issue can happen when using CloudLinux + mod_lsapi which causes the following error:

Your PHP installation appears to be missing the MySQL extension which is required by WordPress

If PHP 7 is missing from the configuration file at /etc/apache2/conf.d/lsapi.conf file, add there:

AddHandler application/x-httpd-lsphp .php .php4 .php5 .php53 .php54 .php55 .php56 .php6 .php7 .phtml

Then restart the Apache service with service httpd restart

The website should now load fine.

Author: Christopher Smith

I managed websites.

Leave a Reply

Your email address will not be published. Required fields are marked *